Subject: Re: packets trickling out of STP-blocked ports

From: Alexandre Belloni <[email-masked]>
Date: Fri, 31 Dec 2021 16:17:44 +0100

On 31/12/2021 07:06:51-0800, Colin Foster wrote:
> Hi Alexandre
> 
> On Fri, Dec 31, 2021 at 11:27:16AM +0100, Alexandre Belloni wrote:
> > Hi,
> > 
> > On 30/12/2021 15:07:40-0800, Colin Foster wrote:
> > > Hi all,
> > > 
> > > An idea of how frequently this happens - my system has been currently up
> > > for 3700 seconds. Eight "own address as source address" events have
> > > happened at 66, 96, 156, 279, 509, 996, 1897, and 3699 seconds. 
> > > 
> > 
> > This is something I solved back in 2017. I can exactly remember how, you

Sorry, I meant "I can't exactly" ;)

> > can try:
> > 
> > sysctl -w net.ipv6.conf.swp3.autoconf=0
> 
> That sounds very promising! Sorry you had to fix my system config, but
> glad that this all makes perfect sense. 
> 

Let me know if this works ;) The bottom line being that you should
probably disable ipv6 autoconf on individual interfaces and then enable
it on the bridge.

-- 
Alexandre Belloni, co-owner and COO, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com